ManagedChannel (Apache Tomcat 9.0.121 API Documentation)
Description: declaration: package: org.apache.catalina.tribes, interface: ManagedChannel

# Interface ManagedChannel

All Superinterfaces:
  `Channel`

All Known Implementing Classes:
  `GroupChannel`

public interface ManagedChannel extends Channel
A managed channel interface gives you access to the components of the channels such as senders, receivers, interceptors etc for configurations purposes

- ## Field Summary

  ### Fields inherited from interface Channel

  `DEFAULT, MBR_RX_SEQ, MBR_TX_SEQ, SEND_OPTIONS_ASYNCHRONOUS, SEND_OPTIONS_BYTE_MESSAGE, SEND_OPTIONS_DEFAULT, SEND_OPTIONS_MULTICAST, SEND_OPTIONS_SECURE, SEND_OPTIONS_SYNCHRONIZED_ACK, SEND_OPTIONS_UDP, SEND_OPTIONS_USE_ACK, SND_RX_SEQ, SND_TX_SEQ`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChannelReceiver`
  `getChannelReceiver()`
  returns the channel receiver
  `ChannelSender`
  `getChannelSender()`
  returns the channel sender
  `Iterator<ChannelInterceptor>`
  `getInterceptors()`
  Returns the interceptor stack
  `MembershipService`
  `getMembershipService()`
  Returns the membership service
  `void`
  `setChannelReceiver(ChannelReceiver receiver)`
  Sets the channel receiver
  `void`
  `setChannelSender(ChannelSender sender)`
  Sets the channel sender
  `void`
  `setMembershipService(MembershipService service)`
  Sets the membership service

  ### Methods inherited from interface Channel

  `addChannelListener, addInterceptor, addMembershipListener, getLocalMember, getMember, getMembers, getName, getUtilityExecutor, hasMembers, heartbeat, removeChannelListener, removeMembershipListener, send, send, setHeartbeat, setName, setUtilityExecutor, start, stop`

- ## Method Details

  - ### setChannelSender

    void setChannelSender(ChannelSender sender)
    Sets the channel sender
    Parameters:
      `sender` - ChannelSender
    See Also:
      - `ChannelSender`

  - ### setChannelReceiver

    void setChannelReceiver(ChannelReceiver receiver)
    Sets the channel receiver
    Parameters:
      `receiver` - ChannelReceiver
    See Also:
      - `ChannelReceiver`

  - ### setMembershipService

    void setMembershipService(MembershipService service)
    Sets the membership service
    Parameters:
      `service` - MembershipService
    See Also:
      - `MembershipService`

  - ### getChannelSender

    ChannelSender getChannelSender()
    returns the channel sender
    Returns:
      ChannelSender
    See Also:
      - `ChannelSender`

  - ### getChannelReceiver

    ChannelReceiver getChannelReceiver()
    returns the channel receiver
    Returns:
      ChannelReceiver
    See Also:
      - `ChannelReceiver`

  - ### getMembershipService

    MembershipService getMembershipService()
    Returns the membership service
    Returns:
      MembershipService
    See Also:
      - `MembershipService`

  - ### getInterceptors

    Iterator<ChannelInterceptor> getInterceptors()
    Returns the interceptor stack
    Returns:
      Iterator
    See Also:
      - `Channel.addInterceptor(ChannelInterceptor)`